# $Revision: 1.53 $, $Date: 2011/04/06 09:15:17 $
#
# Conditional build:
%bcond_without	gnome	# disable gnomeprint support, don't build tests
#
Summary:	Text widget that extends the standard GTK+ 2.x
Summary(pl.UTF-8):	Widget tekstowy rozszerzający standardowy z GTK+ 2.x
Name:		gtksourceview
Version:	1.8.5
Release:	7
License:	GPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/gnome/sources/gtksourceview/1.8/%{name}-%{version}.tar.bz2
# Source0-md5:	de67df2944c1cccbc2d0b4a738e11050
Patch0:		%{name}-nognome.patch
Patch1:		%{name}-build-fix.patch
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.12.0
%{?with_gnome:BuildRequires:	gnome-vfs2-devel >= 2.17.91}
BuildRequires:	gtk+2-devel >= 2:2.10.9
BuildRequires:	gtk-doc >= 1.8
BuildRequires:	intltool >= 0.35.5
%{?with_gnome:BuildRequires:	libgnomeprintui-devel >= 2.17.92}
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.27
BuildRequires:	pkgconfig
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GtkSourceView is a text widget that extends the standard GTK+ 2.x text
widget GtkTextView. It improves GtkTextView by implementing syntax
highlighting and other features typical of a source editor.

%description -l pl.UTF-8
GtkSourceView to widget tekstowy rozszerzający standardowy widget
tekstowy GtkTextView z GTK+ 2.x. Ulepsza GtkTextView poprzez
zaimplementowanie podświetlania składni i innych możliwości typowych
dla edytora źródeł.

%package apidocs
Summary:	GtkSourceView API documentation
Summary(pl.UTF-8):	Dokumentacja API GtkSourceView
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
GtkSourceView API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API GtkSourceView.

%package devel
Summary:	Header files for gtktextview
Summary(pl.UTF-8):	Pliki nagłówkowe dla gtktextview
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+2-devel >= 2:2.10.9
%{?with_gnome:Requires:	libgnomeprint-devel >= 2.17.92}
Requires:	libxml2-devel >= 1:2.6.27

%description devel
Header files for gtktextview.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla gtktextview.

%package static
Summary:	Static gtksourceview library
Summary(pl.UTF-8):	Statyczna biblioteka gtksourceview
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gtksourceview library.

%description static -l pl.UTF-8
Statyczna biblioteka gtksourceview.

%prep
%setup -q
%{!?with_gnome:%patch0 -p1}
%patch1 -p1

%build
%{__gtkdocize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_gnome:--disable-gnomeprint} \
	--enable-gtk-doc \
	--enable-static \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

[ -d $RPM_BUILD_ROOT%{_datadir}/locale/sr@latin ] || \
	mv -f $RPM_BUILD_ROOT%{_datadir}/locale/sr@{Latn,latin}
%find_lang %{name}-1.0

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgtksourceview-1.0.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}-1.0.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtksourceview-1.0.so.*.*.*
%{_datadir}/%{name}-1.0

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtksourceview-1.0.so
%{_includedir}/%{name}-1.0
%{_pkgconfigdir}/gtksourceview-1.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgtksourceview-1.0.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtksourceview.spec,v $
Revision 1.53  2011/04/06 09:15:17  wiget
- drop libtool file
- rel. 7

Revision 1.52  2010/11/19 09:32:19  hawk
- release 6

Revision 1.51  2010/02/14 19:38:23  sparky
- BR: docbook-dtd412-xml, gettext-devel, pkgconfig

Revision 1.50  2010/02/14 18:46:00  megabajt
- release 5

Revision 1.49  2008/11/10 10:57:43  megabajt
- added -build-fix.patch
- release 4

Revision 1.48  2008/11/10 10:48:11  megabajt
- release 3

Revision 1.47  2007/11/04 23:10:41  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.46  2007/05/26 23:55:37  qboosh
- updated nognome patch

Revision 1.45  2007/05/26 22:37:24  qboosh
- added nognome patch and gnome bcond to allow disabling gnomeprint support

Revision 1.44  2007/03/11 16:34:13  megabajt
- updated to 1.8.5

Revision 1.43  2007/02/16 19:00:35  megabajt
- updated to 1.8.4

Revision 1.42  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.41  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.40  2007/01/11 17:51:24  megabajt
- up to 1.8.3

Revision 1.39  2006/12/24 13:17:08  megabajt
- up to 1.8.2
- separated -apidocs

Revision 1.38  2006/10/03 09:42:20  grzegol
- 1.8.1

Revision 1.37  2006/09/04 18:09:57  grzegol
- 1.8.0

Revision 1.36  2006/08/07 20:24:40  freetz
- 1.7.2

Revision 1.35  2006/07/25 17:43:53  freetz
- 1.7.1, removed LDFLAGS and obsolete LINGUAS patch

Revision 1.34  2006/07/13 17:22:55  freetz
- rel.3, updated deps, --as-needed for LDFLAGS

Revision 1.33  2006/06/08 22:12:49  freetz
- updated changelog

Revision 1.32  2006/06/08 22:11:48  freetz
- rel.2, GNOME 2.15.x deps, LINGUAS patch added

Revision 1.31  2006/04/10 17:01:14  freetz
- 1.6.1

Revision 1.30  2006/04/02 07:37:13  freetz
- merged from DEVEL

Revision 1.29.2.3  2006/03/12 15:32:04  freetz
- 1.6.0

Revision 1.29.2.2  2006/02/19 14:14:43  freetz
- refresh intltool stuff

Revision 1.29.2.1  2006/01/31 15:48:21  freetz
- 1.5.7

Revision 1.29  2005/10/04 19:24:01  freetz
- 1.4.2

Revision 1.28  2005/09/06 12:37:02  paladine
- updated to 1.4.1

Revision 1.27  2005/09/05 17:27:52  freetz
- merged to HEAD

Revision 1.26.4.5  2005/09/05 12:56:08  paladine
- updated to 1.4.0

Revision 1.26.4.4  2005/08/30 06:53:48  paladine
- updated to 1.3.93

Revision 1.26.4.3  2005/08/23 21:52:19  aflinta
- 1.3.92

Revision 1.26.4.2  2005/08/21 08:22:59  wiget
- rebuild with new cairo, rel 2

Revision 1.26.4.1  2005/08/08 20:25:48  freetz
- 1.3.91

Revision 1.26  2005/07/13 11:32:28  freetz
- 1.2.1

Revision 1.25  2005/03/10 11:54:27  paladine
- updated to 1.2.0
- proper license

Revision 1.24  2005/03/01 12:34:05  aflinta
- up to version 1.1.93

Revision 1.23  2005/02/08 13:04:27  grzegol
- updated to 1.1.92

Revision 1.22  2005/02/06 23:11:21  grzegol
- updated to 1.1.91

Revision 1.21  2004/10/13 14:55:04  aflinta
- up to version 1.1.1

Revision 1.20  2004/09/15 17:37:29  grzegol
- merged 1.1.0 from DEVEL

Revision 1.19  2004/08/18 22:34:12  ankry
- rel. 2 to rebuild

Revision 1.18.2.1  2004/08/03 11:57:37  grzegol
- updated to 1.1.0

Revision 1.18  2004/04/19 07:38:47  aflinta
- up for version 1.0.1

Revision 1.17  2004/03/24 11:55:12  grzegol
- merged from DEVEL and updated to 1.0.0

Revision 1.16  2004/01/09 12:55:29  jajcus

- Release: 2
- refresh config.sub (for AMD64)

Revision 1.15  2003/12/31 07:40:49  trojan
- reverted last update (0.7.0 back to HEAD, 0.8.0 goes to DEVEL)

Revision 1.14.2.5  2004/03/09 00:26:17  grzegol
- updated to 0.9.2

Revision 1.14.2.4  2004/02/24 11:57:40  grzegol
- rebuild also lt/al/am
- added BR: autoconf, automake, gnome-common, libtool
- strict internal deps

Revision 1.14.2.3  2004/02/24 09:56:26  aflinta
- up to version 0.9.1

Revision 1.14.2.2  2004/02/13 08:36:10  aflinta
- fixe source path

Revision 1.14.2.1  2004/02/12 23:44:57  grzegol
- updated to 0.9.0
- added -static subpackage
- rebuild gtk-doc
- added BR: intltool

Revision 1.14  2003/12/30 09:09:14  trojan
- updated to 0.8.0

Revision 1.13  2003/10/31 13:39:28  qboosh
- -devel deps, removed libgnome BR (not used), unified GTK+ capitalization

Revision 1.12  2003/10/16 13:01:24  freetz
- 0.7.0

Revision 1.11  2003/08/25 22:14:40  grzegol
- updated to 0.6.0

Revision 1.10  2003/08/07 10:22:04  grzegol
- updated to 0.5.0
- more BRs

Revision 1.9  2003/06/30 15:45:36  aflinta
- version 0.4

Revision 1.8  2003/06/11 21:40:29  aflinta
- updated BR

Revision 1.7  2003/06/11 21:39:18  aflinta
- version 0.3.0

Revision 1.6  2003/05/26 09:38:03  trojan
- added Source-md5

Revision 1.5  2003/05/26 09:24:44  trojan
- updated to 0.2.1
- removed outdated patch

Revision 1.4  2003/05/25 05:48:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/05/17 09:28:39  trojan
- added patch (for proper compile with gcc3.3)

Revision 1.2  2003/05/08 22:11:10  qboosh
- pl descriptions

Revision 1.1  2003/05/07 21:50:08  aflinta
- PLD initial release
